=== debian/changelog ===
ros-noetic-rosbag-fancy (1.0.1-1focal) focal; urgency=high

  * add missing std_srvs dependency
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 10 Jul 2023 22:00:00 -0000

ros-noetic-rosbag-fancy (1.0.0-1focal) focal; urgency=high

  * play: decompression support (PR #18)
  * BagView & TF2 scanner (PR #17)
  * CI & unit tests
  * play: support for multiple bag files
  * play: ui: show current date/time
  * play: support for --clock
  * ui: remove sub column
  * play: faster startup, don't crash if select() is interrupted
  * play command
  * record: wait for ros::Time to become valid
    This fixes recording with use_sim_time=true (Issue #16)
  * tui: fix count display
  * tui: display byte & message counts correctly
  * GUI/TUI: display messages in bag, not total messages
  * rosbag_fancy: properly initialize compression
  * split into separate packages (main, _msgs, and _gui)
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Sun, 09 Jul 2023 22:00:00 -0000

ros-noetic-rosbag-fancy (0.2.0-1focal) focal; urgency=high

  * bag_writer: fix uninitialized read in run() during shutdown
    This happens in certain cases during shutdown, where msg is not set.
  * bag_writer: make sure we don't overwrite bag files with same stamp
  * ui: move paused/recording indicator to bottom
  * bag_writer: special handling for tf2 static transforms on bag reopen
  * add --paused flag to start in paused mode
  * UI improvements for start/stop
  * start/stop service calls
  * add tf2_republisher tool (helpful for playback)
  * topic_manager: compile fix for clang
  * Contributors: Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 15 Jun 2020 22:00:00 -0000

ros-noetic-rosbag-fancy (0.1.1-1focal) focal; urgency=high

  * Compatibility with ROS Kinetic (PR: #7)
    also helps with Debian Stretch
  * Contributors: Davide Faconti, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Mon, 21 Oct 2019 22:00:00 -0000

ros-noetic-rosbag-fancy (0.1.0-1focal) focal; urgency=high

  * Initial release
  * Contributors: Jan Quenzel, Max Schwarz

 -- Max Schwarz <max.schwarz@uni-bonn.de>  Thu, 17 Oct 2019 22:00:00 -0000
