=== debian/control ===
Source: ros-noetic-rosbag-fancy
Section: misc
Priority: optional
Maintainer: Max Schwarz <max.schwarz@uni-bonn.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, libbz2-dev, libncurses5-dev, ros-noetic-catkin, ros-noetic-rosbag-fancy-msgs, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-rosfmt, ros-noetic-roslz4, ros-noetic-std-srvs, ros-noetic-tf2-ros, ros-noetic-topic-tools
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rosbag-fancy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, libbz2-dev, libncurses5-dev, ros-noetic-rosbag-fancy-msgs, ros-noetic-rosbag-storage, ros-noetic-roscpp, ros-noetic-rosfmt, ros-noetic-roslz4, ros-noetic-std-srvs, ros-noetic-tf2-ros, ros-noetic-topic-tools
Description: rosbag with terminal UI
